TIMEOUT(1)

NAVN
timeout - run a command with a time limit

SYNOPSIS
timeout [FLAG] VARIGHED KOMMANDO [ARG]...
timeout [FLAG]

BESKRIVELSE

Start KOMMANDO, og dræb den hvis den stadig kører efter VARIGHED.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

--preserve-status

    afslut med samme status som KOMMANDO, selv ved tidsudløb

    for kommandoen

--foreground

    Når der ikke køres timeout direkte fra en skalprompt, så

    tillad KOMMANDO at læse fra TTY'en og modtage TTY-signaler. I denne tilstand vil underprocesser af KOMMANDO ikke udløbe

-k, --kill-after=VARIGHED

    send også et KILL-signal hvis KOMMANDO stadig kører så

    længe efter udsendelsen af det oprindelige signal

-s, --signal=SIGNAL

    angiv signalet, der skal sendes ved tidsudløb.

    SIGNAL kan være et navn såsom "HUP" eller et tal. Se "kill -l" for en liste af signaler

-v, --verbose
    send diagnostik for signal udsendt ved tidsudløb til stderr

--help
    viser hjælpetekst og stopper

--version
    viser versionsinformation og stopper

VARIGHED er et flydende kommatal, eventuelt med et suffiks: "s" for sekunder (standard), "m" for minutter, "h" for timer og "d" for dage. En varighed på 0 deaktiverer tidsgrænsen.

Hvis kommandoen overskrider tidsgrænsen, og --preserve-status ikke er givet, så afslut med kode 124. Afslut ellers med KOMMANDOs afslutningskode. Hvis intet signal angives, vil TERM-signalet blive sendt når tidsgrænsen nås. TERM-signalet vil dræbe processer, somikke blokerer eller fanger dette signal. Det kan være nødvendigt at bruge KILL (9)-signalet, eftersom dette signal ikke kan fanges. Hvis KILL (9)-signalet sendes, vil afslutningskoden være 128+9 frem for 124.

FEJL
Some platforms don't currently support timeouts beyond the year 2038.

FORFATTER
Skrevet af Padraig Brady.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapportér oversættelsesfejl til <https://translationproject.org/team/>

OPHAVSRET
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er frit programmel: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
kill(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/timeout>
eller lokalt tilgængelig via: info '(coreutils) timeout invocation'

OVERSÆTTELSE
De oversatte denne manual til dansk Denne oversættelse er gratis dokumentation; læs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for copyrightbetingelser. Der er INGEN ANSVAR. Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en e-mail til TODO.